FROM openshift/golang-builder:1.12 AS builder
ENV SOURCE_GIT_COMMIT=b8e4a0f7e58208d9d1d789fc0a9d18bba876703c SOURCE_GIT_TAG=b8e4a0f SOURCE_GIT_URL=https://github.com/openshift/sriov-cni SOURCE_DATE_EPOCH=1573002217 BUILD_VERSION=v4.3.1 BUILD_RELEASE=202002032140

ADD . /usr/src/sriov-cni

WORKDIR /usr/src/sriov-cni
RUN make clean && \
    make build

FROM openshift/ose-base:v4.3.1.20200203.214022
ENV SOURCE_GIT_COMMIT=b8e4a0f7e58208d9d1d789fc0a9d18bba876703c SOURCE_GIT_TAG=b8e4a0f SOURCE_GIT_URL=https://github.com/openshift/sriov-cni SOURCE_DATE_EPOCH=1573002217 BUILD_VERSION=v4.3.1 BUILD_RELEASE=202002032140
COPY --from=builder /usr/src/sriov-cni/build/sriov /usr/bin/
WORKDIR /


ADD ./images/entrypoint.sh /

ENTRYPOINT ["/entrypoint.sh"]

LABEL \
        io.k8s.display-name="SR-IOV CNI" \
        name="openshift/ose-sriov-cni" \
        com.redhat.component="sriov-cni-container" \
        version="v4.3.1" \
        release="202002032140" \
        io.openshift.build.commit.id="b8e4a0f7e58208d9d1d789fc0a9d18bba876703c" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-cni" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-cni/commit/b8e4a0f7e58208d9d1d789fc0a9d18bba876703c"

